<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class UsernameChatStartModeAction extends \Google\Protobuf\Internal\Message
{
    


    protected $chatStartMode = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getChatStartMode()
    {
        return isset($this->chatStartMode) ? $this->chatStartMode : 0;
    }

    public function hasChatStartMode()
    {
        return isset($this->chatStartMode);
    }

    public function clearChatStartMode()
    {
        unset($this->chatStartMode);
    }

    




    public function setChatStartMode($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\SyncActionValue\UsernameChatStartModeAction\ChatStartMode::class);
        $this->chatStartMode = $var;

        return $this;
    }

}

